com.hazelcast.cluster

## Interface Joiner

- Deprecated.

      @Deprecated
      public interface Joiner

  This interface is deprecated and will be removed in 4.0. Look for the `com.hazelcast.spi.discovery` module as alternative.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blacklist(Address address, boolean permanent)` Deprecated. Adds an address to the blacklist.
    `long` | `getStartTime()` Deprecated.
    `String` | `getType()` Deprecated.
    `boolean` | `isBlacklisted(Address address)` Deprecated. Checks if an address is blacklisted.
    `void` | `join()` Deprecated.
    `void` | `reset()` Deprecated.
    `void` | `searchForOtherClusters()` Deprecated.
    `void` | `setTargetAddress(Address targetAddress)` Deprecated.
    `boolean` | `unblacklist(Address address)` Deprecated. Removes an address from the blacklist if it is temporarily blacklisted.

- - ### Method Detail

    - #### join

          void join()

      Deprecated.

    - #### searchForOtherClusters

          void searchForOtherClusters()

      Deprecated.

    - #### getStartTime

          long getStartTime()

      Deprecated.

    - #### setTargetAddress

          void setTargetAddress(Address targetAddress)

      Deprecated.

    - #### reset

          void reset()

      Deprecated.

    - #### getType

          String getType()

      Deprecated.

    - #### blacklist

          void blacklist(Address address,
                         boolean permanent)

      Deprecated.
      Adds an address to the blacklist. Blacklist is useful if a node should ignore another node, e.g. when the groupname of 2 machines is not the same and they should form different clusters.

      If blacklist is permanent, then this operation is write-once. It cannot be unblacklisted again. If blacklist is temporary, blacklist can be removed via `unblacklist(com.hazelcast.nio.Address)`.

      Method is thread-safe.

      If the address already is blacklisted, the call is ignored
      Parameters:
        `address` - the address to blacklist.
        `permanent` - true if blacklist is permanent, false if not.
      Throws:
        `NullPointerException` - if address is null.
      See Also:
        `isBlacklisted(com.hazelcast.nio.Address)`

    - #### unblacklist

          boolean unblacklist(Address address)

      Deprecated.
      Removes an address from the blacklist if it is temporarily blacklisted. This method has no effect if given address is not blacklisted. Permanent blacklists cannot be undone.

      Method is thread-safe.

      If the address is not blacklisted, the call is ignored.
      Parameters:
        `address` - the address to unblacklist.
      Returns:
        true if address is unblacklisted, false otherwise.

    - #### isBlacklisted

          boolean isBlacklisted(Address address)

      Deprecated.
      Checks if an address is blacklisted. Method is thread-safe.
      Parameters:
        `address` - the address to check.
      Returns:
        true if blacklisted, false otherwise.
      Throws:
        `NullPointerException` - if address is null.
      See Also:
        `blacklist(com.hazelcast.nio.Address, boolean)`

Copyright © 2018. All rights reserved.